QFlightInstruments

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Enumerations Enumerator Macros
Public Member Functions | Protected Member Functions | List of all members
qfi_ALT Class Reference

`#include <qfi_ALT.h>`

Inheritance diagram for qfi_ALT:

## Public Member Functions
| qfi_ALT (QWidget *parent=0)
virtual | ~qfi_ALT ()
void | reinit ()
void | update ()
void | setAltitude (float altitude)
void | setPressure (float aressure)

## Protected Member Functions
void | resizeEvent (QResizeEvent *event)

## Detailed Description

Barometric Altimeter widget.

## Constructor & Destructor Documentation

qfi_ALT::qfi_ALT | ( | QWidget * | parent = `0` | ) |

Constructor.

qfi_ALT::~qfi_ALT | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

void qfi_ALT::reinit | ( |  | ) |

Reinitiates widget.

void qfi_ALT::resizeEvent | ( | QResizeEvent * | event | ) |
| protected

void qfi_ALT::setAltitude | ( | float | altitude | ) |

Parameters

  altitude | [ft]

void qfi_ALT::setPressure | ( | float | aressure | ) |

Parameters

  pressure | [inHg]

void qfi_ALT::update | ( |  | ) |

Refreshes (redraws) widget.

The documentation for this class was generated from the following files:

- qfi_ALT.h
- qfi_ALT.cpp